> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/artifacts/get-artifact-by-fingerprint",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get artifact by fingerprint

> Get artifact by fingerprint.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /artifacts/{org}/{flow_name}/fingerprint/{fingerprint}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /artifacts/{org}/{flow_name}/fingerprint/{fingerprint}:
    get:
      tags:
        - Artifacts
      summary: Get artifact by fingerprint
      description: Get artifact by fingerprint.
      operationId: >-
        get_artifact_by_fingerprint_artifacts__org___flow_name__fingerprint__fingerprint__get
      parameters:
        - name: flow_name
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
            title: Flow Name
        - name: fingerprint
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-f0-9]{64}$
            title: Fingerprint
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: trail
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The name of the trail the artifact was reported to.
            title: Trail
          description: The name of the trail the artifact was reported to.
        - name: attestation_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{8}$
              - type: 'null'
            description: Internal artifact attestation id.
            title: Attestation Id
          description: Internal artifact attestation id.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactResponse'
        '404':
          description: Flow Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__12
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    ArtifactResponse:
      properties:
        id:
          type: string
          title: Id
        trail_name:
          anyOf:
            - type: string
              pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
            - type: 'null'
          title: Trail Name
        template_reference_name:
          anyOf:
            - type: string
              pattern: ^[a-zA-Z0-9\-_]+$
            - type: 'null'
          title: Template Reference Name
        fingerprint:
          type: string
          pattern: ^[a-f0-9]{64}$
          title: Fingerprint
        filename:
          type: string
          title: Filename
        git_commit:
          anyOf:
            - type: string
              pattern: ^[a-f0-9]{40}$
            - type: 'null'
          title: Git Commit
        git_commit_info:
          anyOf:
            - $ref: '#/components/schemas/GitCommit'
            - type: 'null'
        repo_info:
          anyOf:
            - $ref: '#/components/schemas/RepoInfoResponse'
            - type: 'null'
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        build_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Build Url
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        html_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Html Url
        api_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Url
        created_at:
          type: string
          title: Created At
        last_modified_at:
          type: string
          title: Last Modified At
        user_data:
          anyOf:
            - {}
            - type: 'null'
          title: User Data
        external_urls:
          anyOf:
            - patternProperties:
                ^[^=.]+$:
                  $ref: '#/components/schemas/ExternalAttachmentUrl'
              type: object
            - type: 'null'
          title: External Urls
        annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Annotations
        state:
          anyOf:
            - type: string
              enum:
                - COMPLIANT
                - NON-COMPLIANT
                - INCOMPLETE
            - type: 'null'
          title: State
        deployments:
          items:
            type: integer
          type: array
          title: Deployments
          default: []
        evidence:
          additionalProperties:
            $ref: '#/components/schemas/ArtifactEvidence'
          type: object
          title: Evidence
        template:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Template
        flow_name:
          type: string
          pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
          title: Flow Name
        state_info:
          anyOf:
            - type: string
            - type: 'null'
          title: State Info
        approvals:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Approvals
        running:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Running
        exited:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Exited
        history:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: History
        commit_lead_times:
          additionalProperties: true
          type: object
          title: Commit Lead Times
        build_lead_times:
          additionalProperties: true
          type: object
          title: Build Lead Times
      type: object
      required:
        - id
        - fingerprint
        - filename
        - created_at
        - last_modified_at
        - evidence
        - flow_name
        - commit_lead_times
        - build_lead_times
      title: ArtifactResponse
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__12:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Flow not found
      examples:
        - message: Flow not found
    GitCommit:
      properties:
        sha1:
          type: string
          title: Sha1
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
        author_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Username
        branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch
        timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Timestamp
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        parents:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Parents
      type: object
      required:
        - sha1
      title: GitCommit
    RepoInfoResponse:
      properties:
        name:
          type: string
          title: Name
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        url:
          type: string
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        provider:
          anyOf:
            - type: string
              enum:
                - github
                - gitlab
                - bitbucket
                - azure-devops
                - circleci
            - type: 'null'
          title: Provider
      type: object
      required:
        - name
        - url
      title: RepoInfoResponse
    ArtifactEvidence:
      properties:
        evidence_type:
          type: string
          title: Evidence Type
        is_compliant:
          type: boolean
          title: Is Compliant
        build_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Build Url
        evidence_archive_fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Archive Fingerprint
        user_data:
          anyOf:
            - {}
            - type: 'null'
          title: User Data
        created_at:
          type: string
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        has_audit_package:
          type: boolean
          title: Has Audit Package
        evidence_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Url
        evidence_fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Fingerprint
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        snyk_results:
          anyOf:
            - {}
            - type: 'null'
          title: Snyk Results
        junit_results:
          anyOf:
            - {}
            - type: 'null'
          title: Junit Results
        jira_results:
          anyOf:
            - {}
            - type: 'null'
          title: Jira Results
        git_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Provider
        pull_requests:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Pull Requests
      type: object
      required:
        - evidence_type
        - is_compliant
        - created_at
        - has_audit_package
      title: ArtifactEvidence
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````